package com.persagy.apm.diagnose.feign.client;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

/**
 * 运维系统
 */
@FeignClient(name = "SAAS")
public interface SaasClient {

	/**
	 * 获取 即将报废设备列表
	 */
	@PostMapping("/restEquipService/queryGoingDestroyEquipList")
	String queryGoingDestroyEquipList(@RequestBody Map<String, Object> requestMap);
}
